server:
  port: 8085
spring:
  application:
    name: zuul-server
  cloud:
    config:
      name: zuul
      profile: dev
      label: master
#      uri: http://localhost:7001/
      discovery:
        enabled: true
        serviceId: config-server
  session:
    #    jdbc:
    #      schema: classpath:org/springframework/session/jdbc/schema-mysql.sql
    #      table-name: tb_session
    #      initialize-schema: embedded
    store-type: jdbc
  datasource:
    url: jdbc:mysql://rm-uf6z3z6jq11x653d77o.mysql.rds.aliyuncs.com:3306/smart_community?useUnicode=true&characterEncoding=UTF-8&allowMultiQueries=true
    username: root
    password: DQ@0lW##kBb2+-jPZC1s$Ma0h5$9W((q
    driver-class-name: com.mysql.jdbc.Driver
eureka:
  client:
    service-url:
      defaultZone: http://localhost:8080/eureka/
zuul:
  routes:
    user-server:
      path: /user-server/**
      service-id: user-server
